// ****************************************************************
//
//   IBM Confidential
//   OCO Source Materials
//   <<PART NUMBER - 5724-B75>>
//   (C) Copyright IBM Corp. 2001, 2004 - All Rights Reserved.
//   US Government Users Restricted Rights - Use, duplication or disclosure
//   restricted by GSA ADP Schedule Contract with IBM Corp.
//
// ****************************************************************

package com.ibm.etools.cobol.importer;

import java.io.IOException;
import java.util.Vector;

/**
 * @author Mahendra Akkina (Mahi)
 *
 */
public class CobolException extends IOException
{
	private static String copyright = "(c) Copyright IBM Corporation 1998, 1999,2004.";
	private Vector errorMessagesVector = new Vector();
	private String errorMessageNote = null;
	
/**
 * This method was created by a SmartGuide.
 */
public CobolException ( ) {
	
	super();
	
}
	public CobolException(String errorText)
	{
	   super(errorText);
	}	
	
	public Vector getErrorMessagesVector() {
		return errorMessagesVector;
	}
	
	public void setErrorMessagesVector(Vector errorMessagesVector) {
		this.errorMessagesVector = errorMessagesVector;
	}

	public String getMessageNote() {
		return errorMessageNote;
	}
	public void setMessageNote(String errorMessageNote) {
		this.errorMessageNote = errorMessageNote;
	}
}
